Bug 59374 - Non latin characters in function names and parameters are not properly imported from XLSM files
Summary: Non latin characters in function names and parameters are not properly import...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 19:47 UTC by jerryevo
Modified: 2014-11-06 00:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Function name and parameter name is not properly imported. (32.60 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-14 19:47 UTC, jerryevo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jerryevo 2013-01-14 19:47:13 UTC
Created attachment 73022 [details]
Function name and parameter name is not properly imported.

When importing XLSM files with non latin characters in function names and parameter names these characters are not properly shown.

In attached file one of function has name: ThisIsFunctionąćęł and parameter Paramżźć

Libre Office shows it as ThisIsFunctionŤ¸ and Paramý

Independently there is bug which prevents using non latin characters in function names and parameters which is reported as separate bug #59373
Comment 1 retired 2013-11-22 19:49:54 UTC
unsure what to make of this. When opening the test document with LO I see

Param          Result
abc            #Name?
xyz            #Name?

When clicking into B4 I see =thisisfunction(A4) and B5 =thisisfunction(A5)

So is LO already working as expected? Jerry, could you please test this against the latest master build: http://dev-builds.libreoffice.org/daily/master/MacOSX-x86@49-TDF/current/

Setting to WORKSFORME. If you disagree please re-open and provide further information of what you expect LO to do.
Comment 2 Urmas 2013-11-23 02:29:51 UTC
Exactly as reporter says.
Comment 3 Commit Notification 2014-02-12 00:02:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70b30060029c57780d92b652696514d6d4b5739c

fix crash when importing unsupported macro content, related fdo#59374



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-02-14 10:23:26 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ffa47d9c1dafac4712b7fcac9a7df25b3392386&h=libreoffice-4-2

fix crash when importing unsupported macro content, related fdo#59374


It will be available in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Joel Madero 2014-11-06 00:39:02 UTC
I see a commit - assuming that means fixed. If not please REOPEN and give additional info. Thanks!